# Public

The following endpoints focus on the public (approved) templates that are available to every user regardless of the organization and team.

## List public (approved) templates

> Retrieves a collection of all public (approved) templates that are available for anyone. Returned templates are sorted by usage in descending order.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Templates / Public","description":"The following endpoints focus on the public (approved) templates that are available to every user regardless of the organization and team."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["templates:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/templates/public":{"get":{"tags":["Templates / Public"],"summary":"List public (approved) templates","description":"Retrieves a collection of all public (approved) templates that are available for anyone. Returned templates are sorted by usage in descending order.","parameters":[{"name":"includeEn","in":"query","schema":{"type":"boolean"},"description":"If this parameter is set to `true`, it means English templates should be included in the response. This is relevant only if the user's language is not English."},{"name":"name","in":"query","schema":{"type":"string"},"description":"The name of the template. This parameter allows limiting returned results to the template(s) with the given name."},{"name":"usedApps[]","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"The array with the text IDs of the apps used in the templates. This parameter allows you to get only the templates containing specific apps."},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["id","name","description","url","usedApps","usage"]}},"description":"Specifies the group of values to return. For example, you may want to retrieve only the names and IDs of the public templates."},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"templatesPublic":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"usedApps":{"type":"array","items":{"type":"string"}},"usage":{"type":"integer"}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Get public (approved) template details

> Retrieves details of a public (approved) template with a given \`publicUrl\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Templates / Public","description":"The following endpoints focus on the public (approved) templates that are available to every user regardless of the organization and team."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["templates:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/templates/public/{templateUrl}":{"get":{"tags":["Templates / Public"],"summary":"Get public (approved) template details","description":"Retrieves details of a public (approved) template with a given `publicUrl`.","parameters":[{"name":"templateUrl","in":"path","schema":{"type":"string"},"required":true,"description":"The unique URL of the public (approved) template consisting of the template ID and name. It can be retrieved from the [List templates](/api-reference/templates/get--templates.md) endpoint."},{"name":"templatePublicId","in":"query","schema":{"type":"integer"},"description":"The unique ID of the public version of the approved template. It can be retrieved from the [List templates](/api-reference/templates/get--templates.md) endpoint as one of the following IDs: `publishedId` for all published templates that are waiting for approval or not, or `approvedId` for approved templates."},{"name":"cols[]","in":"query","schema":{"type":"array","items":{"type":"string","enum":["id","name","description","url","usedApps","usage"]}},"description":"Specifies the group of values to return. For example, you may want to retrieve only information about the apps used in the template."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"templatePublic":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"usedApps":{"type":"array","items":{"type":"string"}},"usage":{"type":"integer"}}}}}}}}}}}}}
```

## Get public (approved) template blueprint

> Retrieves a blueprint of a public (approved) template with a given \`publicUrl\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Templates / Public","description":"The following endpoints focus on the public (approved) templates that are available to every user regardless of the organization and team."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["templates:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/templates/public/{templateUrl}/blueprint":{"get":{"tags":["Templates / Public"],"summary":"Get public (approved) template blueprint","description":"Retrieves a blueprint of a public (approved) template with a given `publicUrl`.","parameters":[{"name":"templateUrl","in":"path","schema":{"type":"string"},"required":true,"description":"The unique URL of the public (approved) template consisting of the template ID and name. It can be retrieved from the [List templates](/api-reference/templates/get--templates.md) endpoint."},{"name":"templatePublicId","in":"query","schema":{"type":"integer"},"description":"The unique ID of the public version of the approved template. It can be retrieved from the [List templates](/api-reference/templates/get--templates.md) endpoint as one of the following IDs: `publishedId` for all published templates that are waiting for approval or not, or `approvedId` for approved templates."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"blueprint":{"type":"object","properties":{"flow":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"mapper":{"type":"object","properties":{"ca":{"type":"string"},"qs":{"type":"array","items":{}},"url":{"type":"string","format":"uri"},"gzip":{"type":"boolean"},"method":{"type":"string"},"headers":{"type":"array","items":{}},"timeout":{"type":"string"},"authPass":{"type":"string"},"authUser":{"type":"string"},"bodyType":{"type":"string"},"shareCookies":{"type":"boolean"},"parseResponse":{"type":"boolean"},"followRedirect":{"type":"boolean"},"useQuerystring":{"type":"boolean"},"rejectUnauthorized":{"type":"boolean"}}},"module":{"type":"string","format":"uri"},"onerror":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"mapper":{"type":"object","properties":{"count":{"type":"string","format":"utc-millisec"},"retry":{"type":"boolean"},"interval":{"type":"string","format":"utc-millisec"}}},"module":{"type":"string","format":"uri"},"version":{"type":"integer"},"metadata":{"type":"object","properties":{"expect":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"}}}},"restore":{"type":"object","properties":{"retry":{"type":"object","properties":{"mode":{"type":"string"}}}}},"designer":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"}}}}},"parameters":{"type":"object"}}}},"version":{"type":"integer"},"metadata":{"type":"object","properties":{"expect":{"type":"array","items":{"type":"object"}},"restore":{"type":"object","properties":{"qs":{"type":"object","properties":{"mode":{"type":"string"},"items":{"type":"array","items":{}}}},"method":{"type":"object","properties":{"mode":{"type":"string"},"label":{"type":"string"}}},"headers":{"type":"object","properties":{"mode":{"type":"string"},"items":{"type":"array","items":{}}}},"bodyType":{"type":"object","properties":{"label":{"type":"string"}}}}},"designer":{"type":"object","properties":{"x":{"type":"integer"},"y":{"type":"integer"}}},"parameters":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"}}}}}},"parameters":{"type":"object","properties":{"handleErrors":{"type":"boolean"}}}}}},"name":{"type":"string"},"metadata":{"type":"object","properties":{"version":{"type":"integer"},"scenario":{"type":"object","properties":{"maxErrors":{"type":"integer"},"autoCommit":{"type":"boolean"},"roundtrips":{"type":"integer"}}}}}}},"controller":{"type":"object","properties":{"name":{"type":"string"},"modules":{"type":"object"},"idSequence":{"type":"integer"}}},"scheduling":{"type":"object","properties":{"type":{"type":"string"},"interval":{"type":"integer"}}},"language":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/templates/public.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
